### Constructor

# GtkSource Snippet new_parsed

since: 5.6

#### Declaration [src]

    GtkSourceSnippet*
    gtk_source_snippet_new_parsed (
      const char* text,
      GError** error
    )

#### Description [src]

Parses the snippet formatted `text` into a series of chunks and adds them to a new `GtkSourceSnippet`.

Available since: 5.6

#### Parameters

`text`

  Type: `const char*`

  The formatted snippet text to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GtkSourceSnippet`

The newly parsed `GtkSourceSnippet`, or `NULL` upon failure and `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.